Reassess Assessment

Use this API to launch a reassessment of an existing assessment. The reassessment will use the latest published template version.

πŸ—’

Things to Know

  • Basic assessment details, such as name, organization, deadline, reminder, approver, and respondent, can be copied from the source assessment to the new assessment if the copyAssessmentMetadata parameter is set to true. Otherwise, assessmentMetadata can be passed through the API when the copyAssessmentMetadata parameter is set to false.

  • The responses, comments, attachments, notes, and linked risks from the original assessment can also be copied to the new assessment using this API.

  • The archiveSourceAssessment parameter can be used to indicate whether to archive the source assessment or not.

Path Params
uuid
required

Unique identifier of the assessment to be reassessed

Body Params
assessmentMetadata
object

Use this field to provide details such as Assessment name, Description, Organization, Approvers and Respondents, when copyAssessmentMetadata value is false.

date-time

Deadline (date) to complete the assessment

int64

Use this field to input the number of days before the deadline to send a automatic notification to the respondent. Deadline must be set for this field to be enabled.

reminderSchedules
array of objects
reminderSchedules
boolean
Defaults to false

This field will copy over the attachments linked to the source assessment.

boolean
Defaults to false

This field will copy over the question responses from the source assessment.

boolean
Defaults to false

This field will copy over the user notes from the source assessment.

boolean
Defaults to false

This field will copy over the comments from the source assessment.

boolean
Defaults to false

Any risk rules created based on the template risk rules for the original assessment will be linked to the newly created assessment upon submission.

boolean
Defaults to false

This field will copy assessment name, description, organisation, approver, respondent details from source assessment to new assessment.

boolean
Defaults to false

Use this field to provide a "true" or a "false" value to archive the original assessment. When reassessing, setting it to "true" will archive the original assessment and setting it to "false" will not archive the original assessment

Responses

400

Bad Request

401

Unauthorized

403

Forbidden

500

Internal Server Error

Language
Credentials
OAuth2
Missing 1 required scope
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
*/*